---
updatedAt: 2025-10-08T18:29:40.000Z
agentTools:
  projectIndex: https://docs.uplynk.com/llms.txt
---

# Boundary

### boundary

Marks the start and the end of a [boundary](https://docs.uplynk.com/reference/boundaries) as described below.

* Start: Mark the start of a boundary by calling the boundary endpoint with the type parameter.
* End: Mark the end of a boundary by either:

  * Defining the duration parameter when the boundary is created.
  * Calling the boundary endpoint without parameters.

Request body parameters are described below.

| Request Parameter                                                 | Type       | Description                                                                                                                                                                                                                                      |
| ----------------------------------------------------------------- | ---------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------ |
| expected\_duration                                                | Float      | Specifies the expected duration, in seconds, of the segment. An ending boundary will automatically be triggered after the specified time.                                                                                                        |
| type                                                              | String     | Creates a boundary whose type is determined by the value assigned to this parameter.                                                                                                                                                             |
| meta                                                              | Dictionary | Requires the type parameter.  Contains key-value pairs that defines the set of metadata that will be supplied at the start of a new boundary.  Use the Asset Info API to access an asset's metadata.  Example: \{"My Metadata Field": "Value 1"} |
| [offset\_from\_now\_ms](https://docs.uplynk.com/reference/live-slicer#relative-time-scheduling) | Integer    | Requires Live Slicer version 17061500 or higher.  Identifies a time relative to now (local system time), in milliseconds, when an operation will take effect.                                                                                    |
| [offset\_time\_ms](https://docs.uplynk.com/reference/live-slicer#relative-time-scheduling)      | Integer    | Identifies a time relative to the start of the current asset, in milliseconds, when an operation will take effect.                                                                                                                               |
| [start\_timecode](https://docs.uplynk.com/reference/live-slicer#timecode)                       | String     | Identifies a video frame at which this operation will take effect.                                                                                                                                                                               |

Create a Boundary Example:

`POST /boundary HTTP/1.1`

```json
{
	"type": "c3"
}
```

End a Boundary Example:

`POST /boundary HTTP/1.1`

```json
{}
```

Alternative Workflow: Create a Boundary With a Duration Example:

`POST /boundary HTTP/1.1`

```json
{
	"type": "c3",
	"expected_duration": 30.5
}
```